Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 22 Jun 2007 23:40:15 +1000

On Fri, 2007-06-22 at 15:12 +0200, Gerhard Pircher wrote:
> I would like to have PCI nodes only for the PCI host and PCI2ISA
> bridge.
> The interrupt mapping of the INT# lines can be configured within
> U-boot,
> thus I would avoid to specify it somewhere in the device tree, if it
> isn't
> really necessary.

You still need to provide the IRQ mapping for the PCI slots, but you can
do that from the interrupt-map property of the PCI host bridge node.

Ben.